Skip to content
Start here

Delete Item.

aisearch.namespaces.instances.items.delete(stritem_id, ItemDeleteParams**kwargs) -> ItemDeleteResponse
DELETE/accounts/{account_id}/ai-search/namespaces/{name}/instances/{id}/items/{item_id}

Deletes a file from a managed AI Search instance and triggers a reindex.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
name: str
id: str

AI Search instance ID. Lowercase alphanumeric, hyphens, and underscores.

maxLength64
minLength1
item_id: str
ReturnsExpand Collapse
class ItemDeleteResponse:
key: str

Delete Item.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
item = client.aisearch.namespaces.instances.items.delete(
    item_id="item_id",
    account_id="c3dc5f0b34a14ff8e1b3ec04895e1b22",
    name="my-namespace",
    id="my-ai-search",
)
print(item.key)
{
  "result": {
    "key": "key"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "key": "key"
  },
  "success": true
}